<?php

declare(strict_types=1);

namespace App\Enums;

use Spatie\Enum\Laravel\Enum;

/**
 * Class UpozornenieStavEnum
 *
 * @package App\Enums
 *
 * @method static self ALL()
 * @method static self READ()
 * @method static self NOTREAD()
 */
final class UpozornenieStavEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'ALL' => 'všetky',
            'READ' => 'prečítané',
            'NOTREAD' => 'neprečítané',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        switch ($this->value) {
            case 'ALL':
                return '';
            case 'READ':
                return 'primary';
            case 'NOTREAD':
            default:
                return 'success';
        }
    }
}
